Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Users

Update User
PATCH /users/{userId}
https://api.uat.relesystest.net/api/v1.4/users/{userId}
Update a user based on the ID provided. Accepts a JsonPatch request in the body.

When patching the customFields array, the externalId (see the documentation for 'Get User Custom Fields') is used as the key reference.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
userId string / guid The user's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"My patched name","path":"/name","op":"add"},{"value":{"countryCode":45,"number":"11223344"},"path":"/phoneNumber","op":"replace"},{"path":"/title","op":"remove"},{"value":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2","birthday":"2002-12-30","skills":["Marketing","Design"]},"path":"/customFields","op":"add"},{"value":"Female","path":"/gender","op":"replace"},{"value":"NUA","path":"/initials","op":"add"},{"value":"R-12345","path":"/registerNumber","op":"add"},{"value":"D-67890","path":"/dutyPlanNumber","op":"add"},{"value":"583a856e-2c18-4fe2-abba-720ee5bbe0c0","path":"/imageId","op":"replace"},{"value":"689c9a01-2c9d-4293-aedd-cd8592d57884","path":"/memberCardId","op":"replace"},{"value":"1234567890","path":"/cardNumber","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"70ea8f12-dcef-4011-88ca-20b3842a3cce","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-08-23T00:41:54.8304983Z","lastModifiedDateTime":"2026-08-23T00:41:54.8304983Z","image":{"id":"8eafadba-e83a-47bb-9ace-caced6505767","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},"memberCard":{"name":"Member Card Name","cardNumber":"1234567890","id":"6c7b5452-2719-41e1-88d0-b0d35e543ef4","url":null},"externalId":"NUA","name":"New User A","initials":"NUA","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","gender":"Male","primaryDepartmentId":"29b13e62-9d7b-4a1f-b65c-dfa3038d9d7e","additionalDepartments":[{"id":"6c638fc1-052f-422a-9979-d9c095aa7f7e","dataSource":"RelesysAPI"}],"userGroups":[{"id":"35ee2047-33fe-4688-a4a9-e3e88c1cf8d4","dataSource":"RelesysAPI"},{"id":"f44b166c-2264-4113-8c80-ff590fcf7759","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","birthday":"2002-12-30","skills":["Marketing"]},"employmentType":"Full-time manager","registerNumber":"RN12345","dutyPlanNumber":"DP12345"}}
object
  data object      
   additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   dutyPlanNumber string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   gender string      
   id string / guid      
   image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   initials string      
   memberCard object      
    cardNumber string      
    id string / guid      
    name string      
    url string      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   registerNumber string      
   secondaryEmail string      
   secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string